Itunes with old mac osx

Discussion in 'Mac Apps and Mac App Store' started by Benz83, Mar 31, 2018.

  1. Benz83 macrumors newbie

    Benz83

    Joined:
    Mar 26, 2018
    #1
    Hi guys, finally i installed os x 10.8.1 on a old macbook 7.1 , but if try to install the last version of itunes required me a new osx (and i cant install because the mac is too old). there is a solution for itunes? or a similar software so i use it with iphone?
    thanks a lot
     
  2. CoastalOR macrumors 68020

    CoastalOR

    Joined:
    Jan 19, 2015
    Location:
    Oregon, USA
    #2
    A MacBook 13" mid 2010 (7.1) is capable of running the latest OS. Yosemite (10.10) and above will run the latest iTunes. If you are interested in Sierra then here is a link to the download:
    https://itunes.apple.com/gb/app/macos-sierra/id1127487414?mt=12

    Make sure you have a good backup before installing a new OS & iTunes.
     
  3. Benz83 thread starter macrumors newbie

    Benz83

    Joined:
    Mar 26, 2018
    #3
    Thanks a lor forum reply. I try to install capitain or Maverick (See My other poat) . I had several problems, so i would try another way.....not upgrade the os but use another trick for itunes (if is possibile)
     
  4. CoastalOR macrumors 68020

    CoastalOR

    Joined:
    Jan 19, 2015
    Location:
    Oregon, USA
    #4
    I do not know of a way to install a iTunes newer version that does not support the older mac OS 10.8.
     
  5. mikzn macrumors 6502a

    mikzn

    Joined:
    Sep 2, 2013
    Location:
    Vancouver
    #5
    you can try this link - previous itunes versions
     
  6. Benz83 thread starter macrumors newbie

    Benz83

    Joined:
    Mar 26, 2018
    #6
    Thanks again , but no one is compatible (are new or compatible with windows)
    So im thinking two solution
    -1 use bootcamp
    -2 use a virtual machine
    so i can use windows and install itunes without problem

    i never used bootcamp and the question is ...with this model of mac can i have problem? what step i need to do?
     
  7. mikzn macrumors 6502a

    mikzn

    Joined:
    Sep 2, 2013
    Location:
    Vancouver
    #7
    On that page there was version 9.2.1 and 10.6.3 - if you click "load more results"

    perhaps one of them will work?

    If you have a copy of your old iTunes version - it may even work on the upgraded OSX?
     
  8. Benz83 thread starter macrumors newbie

    Benz83

    Joined:
    Mar 26, 2018
    #8
    I dont know how but i did a upgrade of software and now i have Ho iTunes 12.4.3.1 but i dont know if is compatibile with all version of iPhone
     

Share This Page